I have created a standard part that has imates and all features are adaptive. When I create an assembly and then try to place the component I would like for the part to come in adaptive automatically.
For example I have a nightstand I am modeling. The top and endpanels are in the assembly constrained to each other. I have a standard top back rail that is set up in a library and is used in all cases. The rail width and thickness is always the same but the length is different. I have two imates set up on the rail so when it is brought in, it will snap into place with one end of the rail mated to one endpanel and the other end mated to the opposite endpanel. But since the part is not adaptive on input it dosen't work right. One mate works fine but the other doesn't snap into place. Once I make the rail adaptive then it works fine but I have to insert it into the drawing first then make it adaptive then move the imates into place. Is there a way to make it adaptive automatically when it is initially placed in the assembly.
Is there a way that will allow me to place a component into an assembly where it automatically creates a constrain between the components xz plane and the assembly xz plane? I tried the Ground and root component, but it does too much, I will need to constrain the component differently on the other component planes.
Create code that will allow me to place a part in an assembly at all matching iMate locations. I would also like to call this function from iLogic using RunMacro if possible.
I created a simple Part with some parameters to drive dimensions. Saved the part. I created an Assembly. Saved the assembly. Clicked Place iLogic Component. The Place iLogic Component window appeared Selected the Part. I can see the preview window (Part-01) & the parameter window... Used default values. Hit OK NO PART INSERTED! Using Inventor Pro 2014 64-BitLudesroc
I love the new triad function when placing a new part in Inventor 2014: I am now searching to trigger the same function for a part that already has been placed.
Something like:
1) select component
2) press a button (triggers the macro I now want to write)
3) the triad pops up.
I searched true the Inventor Help & what's new in the API. But didn't find any reference to that command. So I am afraid that it is not yet in the API. Could I maybe emulate it by replacing a component with itself using the place component command + emulating a mouseclick at the same origin as the original piece?
So a piece of code like:
1) get filelocation of selected part
2) get the origin point (x,y,z) of the part
3) get the translation between the origin of the assembly and the part
4) delete the selected part
5) place the part using the place component command (so the triad has been triggered)
6) fill in the filelocation, origin & translation
7) give control back to the user so he can move the part using the triad.
If I set this to true, then when I "place iLogic component", I don't get the form displayed or the parameter table or the model preview.
If set True, displays the form when placing this model as a component in an assembly. This setting affects Place Component and Place iLogic Component. If the template file has a form, this setting also affects Create In-Place Component.
I am using Windows 7 64bit and Inventor 2012 SP1 (Build 190). When placing a new content center item an error message of "Unable to place component" is reported. Content center was working previously.
I determined the problem resulted in using a custom Date format in the Windows Region and Language setting. To duplicate go to Control Panel -> Region and Language ->Formats Tab -> Additional settings button -> Date tab and change the Short date format to a custom format (I was using ddd M/dd).
To fix simply reset to a standard date format.
Note that this can be done whilst Inventor is running and I have have submitted a bug report. None of the standard date formats resulted in errors. I have tested "ddd-dd/M", "ddd/MMM/yyyy", "yyyy/MM/dddd", and "yyyy-MM-ddd" and all resulted in an error. "yyyy-MM-dd" did not result in any error.
How to place an ucs on a part, with identical orientation as the containing assembly. I have placed a grounded workpoint in the part, on the assembly origin, but When it asks for a point to give the direction of X and Y, I am unable to select anything as I am in part edit. the only things I seem to be able to select are vectors on the solid. But those cannot be used, since the angles are different from the assembly's.
I started my project, the design is basically a bulkhead chassis design with multiple access panels on all 3 sides. I wanted all of the hole patterns on this assembly to be based on one sketch. So I created a base part inside the assembly, this part compiled of sketches and the sketches compiled of construct lines and points (for panel and chassis fastener hole patterns). This was going great, after learning a couple tricks.
Manufactuing had determined that I need to machine the holes on the chassis after welding. Which means I need to move the adaptive features, from the part files, to the assembly file.
So here is my problem, assembly sketchs are not adaptable? Either projecting to (from that base part file), or projecting from (from the assembly sketch to the part file). I tried both. How I should model this? How do I make weldment machining adaptive?
I'm having trouble with a tangent constraint. I have an adaptive part in an assembly and it is a revolution. I am able to constrain the top and bottom of the part so that it expands and contracts with my assembly. But, when I go to constrain the sides of my part via the tangent constraint I get an "inconsistent constraint" error.
I'm having problems using the "Project Geometry" command when I'm editing a sketch on a part, and attempting to project geometry from an assembly on the part.
Now in this example, this is the structure of my parts:
Assembly 1
-Fabricated Part 1
-Assembly 2 --Fabricated Part 2 --Fabricated Part 3
(Assembly 1 and Assembly 2 do contain more parts than what is listed, I just simplified it so I don't have to type out the hundreds of parts used)
Now, I want to project Fabricated Part 1 onto Fabricated Part 2. I use the following steps to do this, starting out by working in Assembly 1:
Double click on Assembly 2Double Click on Fabricated Part 2Create sketch on Fabricated Part 2Use Project Geometry command to Project Fabricated Part 1 onto sketch of Fabricated Part 2
This is where the trouble starts. When I try to project Fabricated Part 1 onto Fabricated Part 2, it gives me an error message of:
"Cross-Part projection failed because the sketch is in a part which is adaptive in another assembly"
Fortunately this is about as intuitive of an error message as you can get, simply Fabricated Part 2 is already adaptive in another assembly, and when you use "Project Geometry" it automatically makes the part adaptive to the assembly you are projecting from, and you can't have two assemblies driving one part, so it gives me an error message.
Only problem is, this is a part I just made, that isn't used in any other designs, and isn't adaptive in Assembly 2. Nowhere does it say which assembly the part is already adaptive in (I know it must have that info stored somewhere, as it needs to know what is adaptive where, I just don't know how to get to it).
Now that Projecting Fabricated Part 1 in Assembly 1 to Fabricated Part 2 in Assembly 2 doesn't work, I tried to Project Fabricated Part 3 in Assembly 2 to Fabricated Part 2 in Assembly 2, which strangely does work.
Basically whenever I project geometry found in Assembly 1 onto Fabricated Part 2 it fails with the above error message. Whenever i project geometry found in Assembly 2 onto Fabricated Part 2, it works. Neither Fabricated Part 2, or Assembly 2 are adaptive.
Now I'm wondering if this is a workflow problem. This is how these parts were made:
Assembly 2 is similar to another assembly found elsewhere called Assembly 3, the only difference is that in Assembly 3, I need to change Fabricated Part 4 to a different part, all other parts remain the same.
Therefor I open Assembly 3, do a "Save as/Save Copy As" and save it as Assembly 2. Now I need to make my changes to Fabricated Part 4, so I open it, do a "Save as/save copy as" on it, and save it as Fabricated Part 2. In Assembly 2 I then do a Replace on Fabricated Part 4 and replace it with my new Fabricated Part 2. I now make the changes I need to make to Fabricated Part 2.
I started at this company a couple months ago, and that was the workflow explained to me, and it seemed to work. I wasn't aware of any damage it could cause, as I haven't used Inventor before, so I went along with it. Since that time I'm working to implement Vault, and my knowledge of Inventor has increased, and I've become aware of a program thats called Design Assistant. I'm thinking doing the "Save as/Save copy as" function is keeping some legacy information of my old part, making it think it is adaptive in another assembly, when really it isn't, it is the part that I did the save as from.
So two questions: is using Save as/Save copy as a valid way to quickly copy designs, or should all copying of designs be done with Design Assistant?
Also, Is there any way to view where this part thinks it is adaptive in? The trouble I see, is using Save As has been done for a very long time here, so the part I did the Save As from, could have been Saved As from another, then Saved As from another, etc. etc., and it would be almost impossible to track down (if that is what caused the problem).
Can an adaptive part (non involved in the drive constraint animation) bother the contact solver?
I have an assembly, with only one adaptive part, i have activate contact set for other 3 parts (not the adaptive part), activated contact solver and drive the constraints, but in the animation contact solver doesn't work at all.
So, i have tried to move manually the assembly (suppressing angular drive constraint) and the contact solver works fine.If i suppress the adaptive part the driving constraint and contact solver work perfect.
So i wonder... adaptive part can annoying the contact solver functionality?
We are having an issue when we replace a component in Inventor Pro 2012. When we replace a component, the name in the browser does not update to the new component. We've even tried to close and re-open the Inventor assembly and that does not work. We end up manual double clicking the name in the browser and type in the new component name.
Inventor Product Design Suite Ultimate 2012 Dell Precision T7500 Workstation Xeon Processor 16 GB of RAM Nvidia Quadro FX 5800 Windows 7 x64
I want to put a cable tray going from a sliding door to a fixed piece of steelwork. When the door opens and closes, I want the cable tray to adjust to suit the sliding door. I'll upload the file that I have made. When i drag the sketch it all moves accordingly, but when I placed in the assembly and make it adaptive it does nothing, it will not constrain and it will only bring up the errors.
Inventor 2012 Windows 7 64-Bit SP1 Intel(R) Xeon(R) CPU X5570 @ 2.93GHz NVIDIA Quadro FX 3800 (Avail. Graphics Memory 4067MB - Ded. 1024 MB) 12 GB RAM
II need a way to tell if a component occurence is a virtual component.
I'm using a For Each loop to cycle through all of the components in an assembly, and if the component is itself an assembly to set the LOD to "Custom". I'm using the definition document descriptor object for this. It all woks fine until the loop comes across a virtual component which doesn't have a definition document, so I need a way to check if the component is virtual and needs to be skipped.Here's the
Option ExplicitImports Inventor.LevelOfDetailEnumSub MainiLogicVb.UpdateWhenDone = TrueDim doc As AssemblyDocumentDim oLOD As LevelOfDetailRepresentationDim oAsmCompDef As ComponentDefinitionDim oComp As ComponentOccurrenceDim oComps As ComponentOccurrencesdoc = ThisDoc.DocumentIf. [code]....
When I reposition structure labels (in their 'dragged state'), the component <[Structure Offset Side(CU)]> does not show up while in drag mode. Sort of makes it hard to see the limits of the label if you are trying to place it in a congested area. Watch the "LT" part of the label in the GIF below.
No, it's not that big of a deal, but alignment labels with the same component do not behave this way, so I have to wonder why the structure labels do.....
I am trying to make port rims for pipes that can be swapped in and out of an assembly. However, the ports will all be different sizes and located differently so I need the cut to be part of the port rim component, but affect the entire assembly it is part of. I've been trying to get this to work for the better part of a day now,Here's a picture of what im talking about. I'm running Inventor 2008 by the way.
While making an In-Place Component, Revit fades everything else and makes it hard to see anything except for what you are working on. Is there a way to change this so that everything else isn't as faded.
I have an iLogic controlled assembly with sub assemblies that are also iLogic controlled. The main assembly calculates some lengths and turns some subs on and off and then updates all the subs. The subs also calculate some lengths and turn some parts on and off. I have a rule in both the main assembly and copies in the subs that control the LOD to make sure that it's set to custom before anything else runs.
Now I may be misunderstanding something, but it appears that it's possible to have a sub assembly set to one LOD but be referenced in a top level assembly as a different LOD. In other words I have a sub that shows in the top level browser as Master. If I open this sub and set it from within the sub to custom LOD and switch back to the top level assembly it is still set to master there. It appears that this is what my LOD rule is also doing, setting it to custom in the sub but not changing the top level reference.
What I am trying to do is insert a part into an assembly file using iLogic. I basically want to mimic Inventor’s “Place” command using ilogic, maybe something like this:
When we do DWG we may have more than one Assembly on one individual DWG. When going to put the weights on the DWG through the text/Physical Property insert yadayada it keeps referring back to the original assembly. Even after changing which component we want the info to be drawn from, it refers back to the original? Are we not doing this right? Program glitch?
My office procedures dictate that when we place a content center part that we do so "as custom" for several reasons that are irrelevant to this question (I can expound if needed).
My question is: If I have an assembly with a content center part that is placed "as custom" and I use the component replace tool (CTRL+h) to replace it with another content center part that has already been created and placed "as custom" in another file, how come I get a new CC component that is not the one I selected?
It appears that I am getting a CC part from the same family as the original when what I need is the component to be replaced with the one I am selecting.
In other words: when I say replace "this" with "that", how come I get something else entirely? This functionality works perfectly on non-CC parts.
I have an assembly which has components mated to a radial surface, I need to locate the center of a round slot against an axis, I have X Y coordinates, how can I constrain that part to those X Y coordinates?
To be able to folderize component patterns seems to have been surpassed once again in release 2012. However, I am wondering if this is a setting issue yet I cannot find settings for what can and cannot be placed in folders, if they exist. And I wonder if it is a setting issue because during a training class I visibly watched the trainer place component patterns into a folder and once I still cannot do so.
How to apply forces to a component who is spinning. More specific i am interested in the centrifugal loads distributed over the component.
Take an inducer wheel for a turbocharger. It is a complicated component and very difficult to calculate by hand. it is spinning with high revs, and the rev limit it set by the centrifugal forces acting.